Package com.complexible.common.rdf.rio

# Class RDFStreamOptions

java.lang.Object
com.complexible.common.rdf.rio.RDFStreamOptions

public final class RDFStreamOptions extends Object

Options for `RDF parsing` used only via `RDFStreamBuilder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Option<Integer>`
  `BATCH_SIZE`
  The number of input lines that will be passed to parsing threads as a batch.
  `static final Option<Long>`
  `MULTI_THREAD_FILE_SIZE`
  Size of the file over which we would use multi-threaded parsing.
  `static final Option<Integer>`
  `QUEUE_SIZE`
  The maximum number of batches that will be kept in memory when multiple threads are being used to parse a single file.
  `static final Option<Integer>`
  `THREAD_COUNT`
  The number of threads to use for parsing a single file in multiple threads.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RDFStreamOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MULTI_THREAD_FILE_SIZE

    public static final Option<Long> MULTI_THREAD_FILE_SIZE
    Size of the file over which we would use multi-threaded parsing. Multiple files are parsed in multiple threads but unless the input file size is greater this limit a single parsing thread will be used for that file. Set to `-1` to use multi-threaded parsing for every file and input stream for which there is no size information. Multi-threaded parsing is currently limited to NTriples and NQuads formats.

  - ### THREAD_COUNT

    public static final Option<Integer> THREAD_COUNT
    The number of threads to use for parsing a single file in multiple threads.

  - ### BATCH_SIZE

    public static final Option<Integer> BATCH_SIZE
    The number of input lines that will be passed to parsing threads as a batch.

  - ### QUEUE_SIZE

    public static final Option<Integer> QUEUE_SIZE
    The maximum number of batches that will be kept in memory when multiple threads are being used to parse a single file. Setting this value higher will cause more memory to be used.

- ## Constructor Details

  - ### RDFStreamOptions

    public RDFStreamOptions()